Loading...
Searching...
No Matches
juce::XmlAttribute Struct Reference

## Detailed Description

A name-value pair representing an attribute of an XML tag.

See also
  XmlElement

The documentation for this struct was generated from the following file:

- juce_core/xml/juce_XmlElement.h

## Public Member Functions

bool | equals (StringRef otherName, StringRef otherValue, bool ignoreCase) const
| Returns true if the name and value of this attribute compare equal to the passed-in strings.
bool | equals (const XmlAttribute &other, bool ignoreCase) const
| Returns true if this attribute compares equal to the passed-in attribute.
bool | operator== (const XmlAttribute &other) const
| Returns true if both attributes are equal.
bool | operator!= (const XmlAttribute &other) const
| Returns true if the attributes have different values.

## Public Attributes

Identifier | name
| The name of the attribute.
String | value
| The value of the attribute.

## Member Functions

## equals() [1/2]

bool juce::XmlAttribute::equals | ( | StringRef | otherName,
|  | StringRef | otherValue,
|  | bool | ignoreCase ) const

inline

Returns true if the name and value of this attribute compare equal to the passed-in strings.

The 'ignoreCase' option only affects the value strings.

References name, and value.

Referenced by equals(), and operator==().

## equals() [2/2]

bool juce::XmlAttribute::equals | ( | const XmlAttribute & | other,
|  | bool | ignoreCase ) const

inline

Returns true if this attribute compares equal to the passed-in attribute.

The 'ignoreCase' option only affects the value strings.

References equals(), name, and value.

## operator==()

bool juce::XmlAttribute::operator== | ( | const XmlAttribute & | other | ) | const

inline

Returns true if both attributes are equal.

This comparison is case-sensitive.

References equals().

Referenced by operator!=().

## operator!=()

bool juce::XmlAttribute::operator!= | ( | const XmlAttribute & | other | ) | const

inline

Returns true if the attributes have different values.

This comparison is case-sensitive.

References operator==().

## Member Data Documentation

## name

Identifier juce::XmlAttribute::name

The name of the attribute.

Referenced by equals(), and equals().

## value

String juce::XmlAttribute::value

The value of the attribute.

Referenced by equals(), and equals().

### Purchase

Get JUCE

### Discover

What's New in JUCE Features

### Learn

Documentaion Tutorials Made with JUCE Resources

### Support

JUCE Forum Newsletter Archive

### About

Contact Us JUCE Legal JUCE Licensing FAQ

### Events

Audio Developer Conference
© Raw Material Software Limited